=== debian/control ===
Source: rails
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
Build-Depends: debhelper (>= 9), gem2deb (>= 0.4.0~), racc
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rails.git
Vcs-Browser: http://anonscm.debian.org/git/?p=pkg-ruby-extras/rails.git;a=summary
Homepage: http://www.rubyonrails.org
XS-Ruby-Versions: all
XS-Testsuite: autopkgtest

Package: ruby-activesupport
Architecture: all
X-DhRuby-Root: activesupport/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-i18n (<< 1.0),
         ruby-i18n (>= 0.6.9),
         ruby-json (<< 2.0),
         ruby-json (>= 1.7.7),
         ruby-minitest (<< 6.0),
         ruby-minitest (>= 5.1),
         ruby-thread-safe (<< 1.0),
         ruby-thread-safe (>= 0.1),
         ruby-tzinfo (<< 2.0),
         ruby-tzinfo (>= 1.1),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ruby-activesupport-2.3 (<< 2:4), ruby-activesupport-3.2, ruby-activesupport-4.0
Breaks: ruby-activesupport-2.3 (<< 2:4), ruby-activesupport-3.2, ruby-activesupport-4.0
Description: Support and utility classes used by the Rails 4.1 framework
 ActiveSupport consists of utility classes and extensions to the Ruby
 standard library that were required for Rails but found to be
 generally useful.

Package: ruby-activesupport-2.3
Architecture: all
Depends: ruby-activesupport (>= 2:4),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks:
 ruby-activesupport-3.2,
 ruby-activesupport-4.0,
 ruby-actionpack-2.3,
 ruby-activerecord-2.3,
 ruby-activeresource-2.3,
 ruby-rails-2.3,
Description: transitional dummy package
 Ensure the removal of rails 2.3 on upgrades from wheezy.
 This package can be safely removed.

Package: ruby-activerecord
Architecture: all
X-DhRuby-Root: activerecord/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-activemodel (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
         ruby-arel (<< 5.1.0),
         ruby-arel (>= 5.0.0),
         ${misc:Depends}
Replaces: ruby-activerecord-2.3, ruby-activerecord-3.2, ruby-activerecord-4.0
Breaks: ruby-activerecord-2.3, ruby-activerecord-3.2, ruby-activerecord-4.0
Description: object-relational mapper framework (part of Rails)
 Active Records is a framework to work with databases on Rails.  Build
 a persistent domain model by mapping database tables to Ruby classes.
 Strong conventions for associations, validations, aggregations,
 migrations, and testing come baked-in.

Package: ruby-activemodel
Architecture: all
X-DhRuby-Root: activemodel/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-activesupport (= ${source:Version}),
         ruby-builder (<< 4.0),
         ruby-builder (>= 3.1),
         ${misc:Depends}
Replaces: ruby-activemodel-3.2, ruby-activemodel-4.0
Breaks: ruby-activemodel-3.2, ruby-activemodel-4.0
Description: toolkit for building modeling frameworks (part of Rails)
 Active Model is a toolkit for building modeling frameworks like
 Active Record and Active Resource.  This includes a rich support for
 attributes, callbacks, validations, observers, serialization,
 internationalization, and testing.

Package: ruby-actionview
Architecture: all
X-DhRuby-Root: actionview/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-activesupport (= ${source:Version}),
         ruby-builder (<< 4.0),
         ruby-builder (>= 3.1),
         ruby-erubis (<< 2.8),
         ruby-erubis (>= 2.7.0),
         ${misc:Depends}
Replaces: ruby-actionpack-2.3, ruby-actionpack-3.2
Breaks: ruby-actionpack-2.3, ruby-actionpack-3.2
Description: framework for handling view template lookup and rendering (part of Rails)
 Action View is a framework for handling view template lookup and
 rendering, and provides view helpers that assist when building HTML
 forms, Atom feeds and more. Template formats that Action View handles
 are ERB (embedded Ruby, typically used to inline short Ruby snippets
 inside HTML), and XML Builder.

Package: ruby-actionpack
Architecture: all
X-DhRuby-Root: actionpack/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-actionview (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
         ruby-rack (<< 1.6),
         ruby-rack (>= 1.5.2),
         ruby-rack-test (<< 0.7),
         ruby-rack-test (>= 0.6.2),
         ${misc:Depends}
Replaces: ruby-actionpack-2.3, ruby-actionpack-3.2, ruby-actionpack-4.0
Description: web-flow and rendering framework putting the VC in MVC (part of Rails)
 Action Pack is a framework for web apps on Rails. Simple,
 battle-tested conventions for building and testing MVC web
 applications. Works with any Rack-compatible server.

Package: ruby-actionmailer
Architecture: all
X-DhRuby-Root: actionmailer/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-actionpack (= ${source:Version}),
         ruby-actionview (= ${source:Version}),
         ruby-mail (>= 2.5.4),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ruby-actionmailer-2.3, ruby-actionmailer-3.2, ruby-actionmailer-4.0
Breaks: ruby-actionmailer-2.3, ruby-actionmailer-3.2, ruby-actionmailer-4.0
Description: email composition, delivery, and receiving framework (part of Rails)
 Action Mailer is a framework for working with email on Rails.
 Compose, deliver, receive, and test emails using the familiar
 controller/view pattern.  First-class support for multipart email
 and attachments.

Package: ruby-railties
Architecture: all
X-DhRuby-Root: railties/
XB-Ruby-Versions: ${ruby:Versions}
Depends: rake (>= 0.8.7),
         ruby | ruby-interpreter,
         ruby-actionpack (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
         ruby-thor (<< 2.0),
         ruby-thor (>= 0.18.1),
         ${misc:Depends}
Replaces: rails (<< 2:4), ruby-rails-2.3, ruby-railties-3.2, ruby-railties-4.0
Breaks: rails (<< 2:4), ruby-rails-2.3, ruby-railties-3.2, ruby-railties-4.0
Description: tools for creating, working with, and running Rails applications
 This package contains the Rails internals, i.e. components that implement
 and/or control application bootup, plugins, generators, and rake tasks.

Package: ruby-rails
Architecture: all
X-DhRuby-Root: ./
XB-Ruby-Versions: ${ruby:Versions}
Depends: bundler (<< 2.0),
         bundler (>= 1.3.0),
         ruby-actionmailer (= ${source:Version}),
         ruby-actionpack (= ${source:Version}),
         ruby-actionview (= ${source:Version}),
         ruby-activemodel (= ${source:Version}),
         ruby-activerecord (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
         ruby-railties (= ${source:Version}),
         ruby-sprockets-rails (<< 3.0),
         ruby-sprockets-rails (>= 2.1.3-1~),
         ruby-treetop,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ruby-coffee-rails,
            ruby-jbuilder,
            ruby-jquery-rails,
            ruby-sass-rails,
            ruby-sdoc,
            ruby-spring,
            ruby-sqlite3,
            ruby-turbolinks,
            ruby-uglifier
Replaces: ruby-rails-2.3, ruby-rails-3.2, ruby-rails-4.0
Breaks: ruby-activeresource-3.2, ruby-rails-2.3, ruby-rails-3.2, ruby-rails-4.0
Description: MVC ruby based framework geared for web application development
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.

Package: rails
Architecture: all
Depends: ruby-rails (= ${source:Version}), ${misc:Depends}
Replaces: rails3
Breaks: rails3
Description: MVC ruby based framework geared for web application development (metapackage)
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.
 .
 This is a metapackage.
