=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
 Build-Depends: debhelper (>= 9), gem2deb (>= 0.4.0~), racc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rails.git
 Vcs-Browser: http://anonscm.debian.org/git/?p=pkg-ruby-extras/rails.git;a=summary
 Homepage: http://www.rubyonrails.org
 XS-Ruby-Versions: all
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 
 Package: ruby-activesupport
 Architecture: all
@@ -28,28 +28,10 @@
          ruby-tzinfo (>= 1.1),
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: ruby-activesupport-2.3 (<< 2:4), ruby-activesupport-3.2, ruby-activesupport-4.0
-Breaks: ruby-activesupport-2.3 (<< 2:4), ruby-activesupport-3.2, ruby-activesupport-4.0
 Description: Support and utility classes used by the Rails 4.1 framework
  ActiveSupport consists of utility classes and extensions to the Ruby
  standard library that were required for Rails but found to be
  generally useful.
-
-Package: ruby-activesupport-2.3
-Architecture: all
-Depends: ruby-activesupport (>= 2:4),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks:
- ruby-activesupport-3.2,
- ruby-activesupport-4.0,
- ruby-actionpack-2.3,
- ruby-activerecord-2.3,
- ruby-activeresource-2.3,
- ruby-rails-2.3,
-Description: transitional dummy package
- Ensure the removal of rails 2.3 on upgrades from wheezy.
- This package can be safely removed.
 
 Package: ruby-activerecord
 Architecture: all
@@ -61,8 +43,6 @@
          ruby-arel (<< 5.1.0),
          ruby-arel (>= 5.0.0),
          ${misc:Depends}
-Replaces: ruby-activerecord-2.3, ruby-activerecord-3.2, ruby-activerecord-4.0
-Breaks: ruby-activerecord-2.3, ruby-activerecord-3.2, ruby-activerecord-4.0
 Description: object-relational mapper framework (part of Rails)
  Active Records is a framework to work with databases on Rails.  Build
  a persistent domain model by mapping database tables to Ruby classes.
@@ -78,8 +58,6 @@
          ruby-builder (<< 4.0),
          ruby-builder (>= 3.1),
          ${misc:Depends}
-Replaces: ruby-activemodel-3.2, ruby-activemodel-4.0
-Breaks: ruby-activemodel-3.2, ruby-activemodel-4.0
 Description: toolkit for building modeling frameworks (part of Rails)
  Active Model is a toolkit for building modeling frameworks like
  Active Record and Active Resource.  This includes a rich support for
@@ -97,8 +75,6 @@
          ruby-erubis (<< 2.8),
          ruby-erubis (>= 2.7.0),
          ${misc:Depends}
-Replaces: ruby-actionpack-2.3, ruby-actionpack-3.2
-Breaks: ruby-actionpack-2.3, ruby-actionpack-3.2
 Description: framework for handling view template lookup and rendering (part of Rails)
  Action View is a framework for handling view template lookup and
  rendering, and provides view helpers that assist when building HTML
@@ -118,7 +94,6 @@
          ruby-rack-test (<< 0.7),
          ruby-rack-test (>= 0.6.2),
          ${misc:Depends}
-Replaces: ruby-actionpack-2.3, ruby-actionpack-3.2, ruby-actionpack-4.0
 Description: web-flow and rendering framework putting the VC in MVC (part of Rails)
  Action Pack is a framework for web apps on Rails. Simple,
  battle-tested conventions for building and testing MVC web
@@ -134,8 +109,6 @@
          ruby-mail (>= 2.5.4),
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: ruby-actionmailer-2.3, ruby-actionmailer-3.2, ruby-actionmailer-4.0
-Breaks: ruby-actionmailer-2.3, ruby-actionmailer-3.2, ruby-actionmailer-4.0
 Description: email composition, delivery, and receiving framework (part of Rails)
  Action Mailer is a framework for working with email on Rails.
  Compose, deliver, receive, and test emails using the familiar
@@ -153,8 +126,6 @@
          ruby-thor (<< 2.0),
          ruby-thor (>= 0.18.1),
          ${misc:Depends}
-Replaces: rails (<< 2:4), ruby-rails-2.3, ruby-railties-3.2, ruby-railties-4.0
-Breaks: rails (<< 2:4), ruby-rails-2.3, ruby-railties-3.2, ruby-railties-4.0
 Description: tools for creating, working with, and running Rails applications
  This package contains the Rails internals, i.e. components that implement
  and/or control application bootup, plugins, generators, and rake tasks.
@@ -186,8 +157,6 @@
             ruby-sqlite3,
             ruby-turbolinks,
             ruby-uglifier
-Replaces: ruby-rails-2.3, ruby-rails-3.2, ruby-rails-4.0
-Breaks: ruby-activeresource-3.2, ruby-rails-2.3, ruby-rails-3.2, ruby-rails-4.0
 Description: MVC ruby based framework geared for web application development
  Rails is a full-stack, open-source web framework in Ruby for writing
  real-world applications.
