=== debian/control ===
--- 
+++ 
@@ -2,11 +2,55 @@
 Section: ruby
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>,
-Build-Depends: debhelper (>= 9), gem2deb (>= 0.4.0~), racc
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rails.git
-Vcs-Browser: http://anonscm.debian.org/git/?p=pkg-ruby-extras/rails.git;a=summary
+Uploaders: Antonio Terceiro <terceiro@debian.org>
+Build-Depends: debhelper (>= 9),
+               gem2deb (>= 0.4.0~),
+               rake,
+               rake (>= 0.8.7),
+               ruby-arel (>= 6.0),
+               ruby-arel (<< 7.0),
+               ruby-bcrypt,
+               ruby-builder (>= 3.1),
+               ruby-builder (<< 4.0),
+               ruby-bundler (>= 1.3.0),
+               ruby-bundler (<< 2.0),
+               ruby-dalli,
+               ruby-delayed-job,
+               ruby-erubis (>= 2.7.0),
+               ruby-erubis (<< 2.8),
+               ruby-globalid,
+               ruby-i18n (>= 0.7),
+               ruby-i18n (<< 1.0),
+               ruby-json (>= 1.7.7),
+               ruby-json (<< 2.0),
+               ruby-mail (>= 2.5.4),
+               ruby-minitest (>= 5.1),
+               ruby-minitest (<< 6.0),
+               ruby-mocha,
+               ruby-mysql2,
+               ruby-rack (>= 1.6),
+               ruby-rack (<< 2.0),
+               ruby-rack-cache,
+               ruby-rack-test (>= 0.6.2),
+               ruby-rack-test (<< 0.7),
+               ruby-rails-dom-testing (>= 1.0.5),
+               ruby-rails-dom-testing (<< 2.0),
+               ruby-rails-html-sanitizer (>= 1.0.2),
+               ruby-rails-html-sanitizer (<< 2.0),
+               ruby-sprockets-rails (>= 2.3.2~),
+               ruby-sprockets-rails (<< 3.0),
+               ruby-sqlite3,
+               ruby-thor (>= 0.18.1),
+               ruby-thor (<< 2.0),
+               ruby-thread-safe (>= 0.3.4),
+               ruby-thread-safe (<< 1.0),
+               ruby-treetop,
+               ruby-tzinfo (>= 1.1),
+               ruby-tzinfo (<< 2.0),
+               sqlite3,
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rails.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rails.git
 Homepage: http://www.rubyonrails.org
 XS-Ruby-Versions: all
 Testsuite: autopkgtest
@@ -17,13 +61,13 @@
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ruby | ruby-interpreter,
          ruby-i18n (<< 1.0),
-         ruby-i18n (>= 0.6.9),
+         ruby-i18n (>= 0.7),
          ruby-json (<< 2.0),
          ruby-json (>= 1.7.7),
          ruby-minitest (<< 6.0),
          ruby-minitest (>= 5.1),
          ruby-thread-safe (<< 1.0),
-         ruby-thread-safe (>= 0.1),
+         ruby-thread-safe (>= 0.3.4),
          ruby-tzinfo (<< 2.0),
          ruby-tzinfo (>= 1.1),
          ${misc:Depends},
@@ -40,8 +84,8 @@
 Depends: ruby | ruby-interpreter,
          ruby-activemodel (= ${source:Version}),
          ruby-activesupport (= ${source:Version}),
-         ruby-arel (<< 5.1.0),
-         ruby-arel (>= 5.0.0),
+         ruby-arel (<< 7.0),
+         ruby-arel (>= 6.0),
          ${misc:Depends}
 Description: object-relational mapper framework (part of Rails)
  Active Records is a framework to work with databases on Rails.  Build
@@ -64,6 +108,20 @@
  attributes, callbacks, validations, observers, serialization,
  internationalization, and testing.
 
+Package: ruby-activejob
+Architecture: all
+X-DhRuby-Root: activejob/
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ruby | ruby-interpreter,
+         ruby-activesupport (= ${source:Version}),
+         ruby-globalid,
+         ${misc:Depends}
+Description: job framework with pluggable queues
+ Active Job is a framework for declaring jobs and making them run on a variety
+ of queueing backends. These jobs can be everything from regularly scheduled
+ clean-ups, to billing charges, to mailings. Anything that can be chopped up
+ into small units of work and run in parallel, really.
+
 Package: ruby-actionview
 Architecture: all
 X-DhRuby-Root: actionview/
@@ -74,6 +132,10 @@
          ruby-builder (>= 3.1),
          ruby-erubis (<< 2.8),
          ruby-erubis (>= 2.7.0),
+         ruby-rails-dom-testing (<< 2.0),
+         ruby-rails-dom-testing (>= 1.0.5),
+         ruby-rails-html-sanitizer (<< 2.0),
+         ruby-rails-html-sanitizer (>= 1.0.2),
          ${misc:Depends}
 Description: framework for handling view template lookup and rendering (part of Rails)
  Action View is a framework for handling view template lookup and
@@ -89,8 +151,8 @@
 Depends: ruby | ruby-interpreter,
          ruby-actionview (= ${source:Version}),
          ruby-activesupport (= ${source:Version}),
-         ruby-rack (<< 1.6),
-         ruby-rack (>= 1.5.2),
+         ruby-rack (<< 2.0),
+         ruby-rack (>= 1.6),
          ruby-rack-test (<< 0.7),
          ruby-rack-test (>= 0.6.2),
          ${misc:Depends}
@@ -106,6 +168,7 @@
 Depends: ruby | ruby-interpreter,
          ruby-actionpack (= ${source:Version}),
          ruby-actionview (= ${source:Version}),
+         ruby-activejob (= ${source:Version}),
          ruby-mail (>= 2.5.4),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -134,29 +197,31 @@
 Architecture: all
 X-DhRuby-Root: ./
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: bundler (<< 2.0),
-         bundler (>= 1.3.0),
-         ruby-actionmailer (= ${source:Version}),
+Depends: ruby-actionmailer (= ${source:Version}),
          ruby-actionpack (= ${source:Version}),
          ruby-actionview (= ${source:Version}),
          ruby-activemodel (= ${source:Version}),
          ruby-activerecord (= ${source:Version}),
          ruby-activesupport (= ${source:Version}),
+         ruby-bundler (<< 2.0),
+         ruby-bundler (>= 1.3.0),
          ruby-railties (= ${source:Version}),
          ruby-sprockets-rails (<< 3.0),
-         ruby-sprockets-rails (>= 2.1.3-1~),
+         ruby-sprockets-rails (>= 2.3.2~),
          ruby-treetop,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: ruby-coffee-rails,
+Recommends: ruby-byebug,
+            ruby-coffee-rails (>= 4.1.0),
             ruby-jbuilder,
             ruby-jquery-rails,
             ruby-sass-rails,
             ruby-sdoc,
             ruby-spring,
             ruby-sqlite3,
-            ruby-turbolinks,
-            ruby-uglifier
+            ruby-turbolinks (>= 2.5.3),
+            ruby-uglifier,
+            ruby-web-console
 Description: MVC ruby based framework geared for web application development
  Rails is a full-stack, open-source web framework in Ruby for writing
  real-world applications.
@@ -168,7 +233,8 @@
 
 Package: rails
 Architecture: all
-Depends: ruby-rails (= ${source:Version}), ${misc:Depends}
+Depends: ruby-rails (= ${source:Version}),
+         ${misc:Depends}
 Replaces: rails3
 Breaks: rails3
 Description: MVC ruby based framework geared for web application development (metapackage)
