=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ruby --with ruby

overrride_dh_auto_build:
	racc -o actionpack/lib/action_dispatch/journey/parser.rb \
		actionpack/lib/action_dispatch/journey/parser.y

override_dh_clean:
	dh_clean -X~ -X.bak
	$(RM) -r railties/guides/output

override_dh_auto_install:
	dh_auto_install
	$(RM) debian/ruby-activesupport/usr/bin/generate_tables
	rmdir debian/ruby-activesupport/usr/bin || true
