=== debian/tests/control ===
Tests: newapp
Restrictions: allow-stderr, needs-recommends

Test-Command: gem2deb-test-runner --autopkgtest --check-dependencies 2>&1
Depends: @, @builddeps@, gem2deb-test-runner
