=== debian/watch ===
version=3
https://github.com/rails/rails/tags .*/v([0-9.]+).tar.gz
