## rails 4.2.7.1

=== debian/changelog ===
rails (2:4.2.7.1-1+deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2020-15169:
    There is a potential Cross-Site Scripting (XSS) vulnerability in Action
    View's translation helpers. Views that allow the user to control the
    default (not found) value of the `t` and `translate` helpers could be
    susceptible to XSS attacks. When an HTML-unsafe string is passed as the
    default for a missing translation key named html or ending in _html, the
    default string is incorrectly marked as HTML-safe and not escaped.

 -- Markus Koschany <apo@debian.org>  Fri, 09 Oct 2020 18:46:59 +0200

rails (2:4.2.7.1-1+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2020-8164: possible Strong Parameters Bypass in ActionPack
  * CVE-2020-8165: potentially unintended unmarshalling of user-provided
    objects in MemCacheStore
  * CVE-2020-8163: potential remote code execution of user-provided
    local names

 -- Sylvain Beucler <beuc@debian.org>  Mon, 29 Jun 2020 09:55:00 +0200

rails (2:4.2.7.1-1+deb9u2) stretch; urgency=high

  * Team upload.
  * Add patch to fix possible XSS vector in JS escape helper.
    (Fixes: CVE-2020-5267) (Closes: #954304)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 22 Mar 2020 18:05:32 +0530

rails (2:4.2.7.1-1+deb9u1) stretch; urgency=medium

  * CVE-2018-16476 (Closes: #914847)
  * CVE-2019-5418 / CVE-2019-5419 (Closes: #924520)

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 18 Apr 2019 20:48:13 +0200

rails (2:4.2.7.1-1) unstable; urgency=medium

  * New upstream release; includes fixes for the following issues:
    - CVE-2016-6317: unsafe query generation in Active Record (Closes: #834154)
    - CVE-2016-6316: Possible XSS Vulnerability in Action View (Closes: #834155)
  * debian/watch: restrict to the 4.x series for now

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 22 Aug 2016 14:33:48 -0300

rails (2:4.2.6-2) unstable; urgency=medium

  * Team upload
  * ruby-rails: Add ruby-coffee-rails to recommends (Closes: #818470)
  * Relax ruby-json (drop << 2.0 requirement)

 -- Pirate Praveen <praveen@debian.org>  Fri, 22 Jul 2016 23:37:44 +0530
