=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
                ruby-i18n (>= 0.7),
                ruby-i18n (<< 1.0),
                ruby-json (>= 1.7.7),
-               ruby-json (<< 2.0),
                ruby-mail (>= 2.5.4),
                ruby-minitest (>= 5.1),
                ruby-minitest (<< 6.0),
@@ -62,7 +61,6 @@
 Depends: ruby | ruby-interpreter,
          ruby-i18n (<< 1.0),
          ruby-i18n (>= 0.7),
-         ruby-json (<< 2.0),
          ruby-json (>= 1.7.7),
          ruby-minitest (<< 6.0),
          ruby-minitest (>= 5.1),
@@ -216,6 +214,7 @@
             ruby-jbuilder,
             ruby-jquery-rails,
             ruby-sass-rails,
+            ruby-coffee-rails,
             ruby-sdoc,
             ruby-spring,
             ruby-sqlite3,
