## rails 4.2.9

=== debian/changelog ===
rails (2:4.2.9-2) unstable; urgency=medium

  * Team upload
  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Wed, 23 Aug 2017 18:39:08 +0530

rails (2:4.2.9-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Sun, 30 Jul 2017 22:14:24 +0530
