=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
                ruby-tzinfo (>= 1.1),
                ruby-tzinfo (<< 2.0),
                sqlite3,
-Standards-Version: 3.9.7
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rails.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rails.git
 Homepage: http://www.rubyonrails.org
