## rails 4.2.10

=== debian/changelog ===
rails (2:4.2.10-0ubuntu4) bionic; urgency=medium

  * Add ruby-debug-inspector recommends.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Mar 2018 15:58:48 +0000

rails (2:4.2.10-0ubuntu3) bionic; urgency=medium

  * Bump sdoc depdency to match ruby2.5

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 08 Mar 2018 15:42:11 +0100

rails (2:4.2.10-0ubuntu2) bionic; urgency=medium

  * Import upstream patch to fix testcase, having a side-effect on
    subsequent and/or out of order executed tests. Thanks to Daniel
    Watkins for pointing this out. Maybe one day we will be able to
    migrate ruby-defaults, ideally like this decade or something.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 08 Mar 2018 12:40:45 +0100

rails (2:4.2.10-0ubuntu1) bionic; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Mar 2018 14:34:27 +0100

rails (2:4.2.9-4) unstable; urgency=medium

  * Team upload.
  * Patch gem specs to really relax rack-test dependency.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 07 Sep 2017 19:46:41 +0900

rails (2:4.2.9-3) unstable; urgency=medium

  * Relax dependency on ruby-rack-test
  * Add myself to uploaders 

 -- Pirate Praveen <praveen@debian.org>  Wed, 06 Sep 2017 12:14:19 +0530
