=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: rails
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 9),
                gem2deb (>= 0.4.0~),
                rake,
@@ -16,6 +17,7 @@
                ruby-bundler (<< 2.0),
                ruby-dalli,
                ruby-delayed-job,
+               ruby-debug-inspector,
                ruby-erubis (>= 2.7.0),
                ruby-erubis (<< 2.8),
                ruby-globalid,
@@ -31,7 +33,6 @@
                ruby-rack (<< 2.0),
                ruby-rack-cache,
                ruby-rack-test (>= 0.6.2),
-               ruby-rack-test (<< 0.7),
                ruby-rails-dom-testing (>= 1.0.5),
                ruby-rails-dom-testing (<< 2.0),
                ruby-rails-html-sanitizer (>= 1.0.2),
@@ -151,7 +152,6 @@
          ruby-activesupport (= ${source:Version}),
          ruby-rack (<< 2.0),
          ruby-rack (>= 1.6),
-         ruby-rack-test (<< 0.7),
          ruby-rack-test (>= 0.6.2),
          ${misc:Depends}
 Description: web-flow and rendering framework putting the VC in MVC (part of Rails)
@@ -211,6 +211,7 @@
          ${shlibs:Depends}
 Recommends: ruby-byebug,
             ruby-coffee-rails (>= 4.1.0),
+            ruby-debug-inspector,
             ruby-jbuilder,
             ruby-jquery-rails,
             ruby-sass-rails,
