=== debian/watch ===
version=3
https://github.com/rails/rails/tags .*/v(4\.[0-9.]+).tar.gz
